#ifndef ELEMENTTYPE_H
#define ELEMENTTYPE_H

enum ElementType {
    Composed = 0,
    Material = 1,
    ManPower = 2,
    Machinery = 3,
    Subcontracted = 4,
    Other = 5
};

inline QString elementTypeToString(ElementType type) {
    switch (type) {
        case ElementType::Composed: return "CO";
        case ElementType::Material: return "MT";
        case ElementType::ManPower: return "MO";
        case ElementType::Machinery: return "MQ";
        case ElementType::Subcontracted: return "SC";
        case ElementType::Other: return "OT";
        default: return "";
    }
}

#endif // ELEMENTTYPE_H